This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1021988 - disk encryption password: impossible to use easy paswords, no warning
disk encryption password: impossible to use easy paswords, no warning
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 08:55 EDT by Marian Csontos
Modified: 2014-03-04 11:50 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-04 11:50:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian Csontos 2013-10-22 08:55:40 EDT
Description of problem:
Anaconda does not allow easy to break passwords for disk encryption.
One can use 'root' password for root after double confirm the password.
One can not use such password for disk encryption password.
The dialog does not show any clues about what's acceptable and what's not.

Version-Release number of selected component (if applicable):
20.25-1

How reproducible:
100%

Steps to Reproduce:
1. select disk encryption
2. enter simple word to the dialog (e.g. test)

Actual results:
Nothing happens. Dialog asks again.

Expected results:
- either there should be a possibility to force weak password
- or there should be some feedback the password was rejected.

Additional info:
Comment 1 David Shea 2014-03-04 11:50:51 EST
F20 allows users to set weak disk encryption passphrases.

Note You need to log in before you can comment on or make changes to this bug.